unit schInfVentasArticuloClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InfVentasArticulo = '{0585A6F2-C390-425E-A7A6-8609D559D3B3}';

  { Data table names }
  nme_InfVentasArticulo = 'InfVentasArticulo';

  { InfVentasArticulo fields }
  fld_InfVentasArticuloID_FACTURA = 'ID_FACTURA';
  fld_InfVentasArticuloID_EMPRESA = 'ID_EMPRESA';
  fld_InfVentasArticuloREFERENCIA_FACTURA = 'REFERENCIA_FACTURA';
  fld_InfVentasArticuloFECHA_FACTURA = 'FECHA_FACTURA';
  fld_InfVentasArticuloIMPORTE_TOTAL_FACTURA = 'IMPORTE_TOTAL_FACTURA';
  fld_InfVentasArticuloID_COMISION_FACTURA = 'ID_COMISION_FACTURA';
  fld_InfVentasArticuloID_ARTICULO = 'ID_ARTICULO';
  fld_InfVentasArticuloFAMILIA = 'FAMILIA';
  fld_InfVentasArticuloREFERENCIA = 'REFERENCIA';
  fld_InfVentasArticuloREFERENCIA_PROV = 'REFERENCIA_PROV';
  fld_InfVentasArticuloDESCRIPCION = 'DESCRIPCION';
  fld_InfVentasArticuloCOMISIONABLE = 'COMISIONABLE';
  fld_InfVentasArticuloINVENTARIABLE = 'INVENTARIABLE';
  fld_InfVentasArticuloIMPORTE_UNIDAD_COSTE = 'IMPORTE_UNIDAD_COSTE';
  fld_InfVentasArticuloDESCUENTO_PROVEEDOR_COSTE = 'DESCUENTO_PROVEEDOR_COSTE';
  fld_InfVentasArticuloIMPORTE_NETO_COSTE = 'IMPORTE_NETO_COSTE';
  fld_InfVentasArticuloIMPORTE_PORTE_COSTE = 'IMPORTE_PORTE_COSTE';
  fld_InfVentasArticuloCANTIDAD = 'CANTIDAD';
  fld_InfVentasArticuloIMPORTE_UNIDAD_VENTA = 'IMPORTE_UNIDAD_VENTA';
  fld_InfVentasArticuloDESCUENTO_CLIENTE_VENTA = 'DESCUENTO_CLIENTE_VENTA';
  fld_InfVentasArticuloIMPORTE_NETO_VENTA = 'IMPORTE_NETO_VENTA';
  fld_InfVentasArticuloIMPORTE_PORTE_VENTA = 'IMPORTE_PORTE_VENTA';
  fld_InfVentasArticuloIMPORTE_TOTAL_VENTA = 'IMPORTE_TOTAL_VENTA';
  fld_InfVentasArticuloNIF_CIF_PROVEEDOR = 'NIF_CIF_PROVEEDOR';
  fld_InfVentasArticuloNOMBRE_PROVEEDOR = 'NOMBRE_PROVEEDOR';
  fld_InfVentasArticuloCALLE_PROVEEDOR = 'CALLE_PROVEEDOR';
  fld_InfVentasArticuloPOBLACION_PROVEEDOR = 'POBLACION_PROVEEDOR';
  fld_InfVentasArticuloPROVINCIA_PROVEEDOR = 'PROVINCIA_PROVEEDOR';
  fld_InfVentasArticuloNIF_CIF_CLIENTE = 'NIF_CIF_CLIENTE';
  fld_InfVentasArticuloNOMBRE_CLIENTE = 'NOMBRE_CLIENTE';
  fld_InfVentasArticuloNOMBRE_COMERCIAL_CLIENTE = 'NOMBRE_COMERCIAL_CLIENTE';
  fld_InfVentasArticuloCALLE_CLIENTE = 'CALLE_CLIENTE';
  fld_InfVentasArticuloPOBLACION_CLIENTE = 'POBLACION_CLIENTE';
  fld_InfVentasArticuloPROVINCIA_CLIENTE = 'PROVINCIA_CLIENTE';
  fld_InfVentasArticuloNIF_CIF_AGENTE = 'NIF_CIF_AGENTE';
  fld_InfVentasArticuloNOMBRE_AGENTE = 'NOMBRE_AGENTE';
  fld_InfVentasArticuloCALLE_AGENTE = 'CALLE_AGENTE';
  fld_InfVentasArticuloPOBLACION_AGENTE = 'POBLACION_AGENTE';
  fld_InfVentasArticuloPROVINCIA_AGENTE = 'PROVINCIA_AGENTE';
  fld_InfVentasArticuloCOMISION_AGENTE = 'COMISION_AGENTE';
  fld_InfVentasArticuloIMPORTE_COMISION_AGENTE = 'IMPORTE_COMISION_AGENTE';

  { InfVentasArticulo field indexes }
  idx_InfVentasArticuloID_FACTURA = 0;
  idx_InfVentasArticuloID_EMPRESA = 1;
  idx_InfVentasArticuloREFERENCIA_FACTURA = 2;
  idx_InfVentasArticuloFECHA_FACTURA = 3;
  idx_InfVentasArticuloIMPORTE_TOTAL_FACTURA = 4;
  idx_InfVentasArticuloID_COMISION_FACTURA = 5;
  idx_InfVentasArticuloID_ARTICULO = 6;
  idx_InfVentasArticuloFAMILIA = 7;
  idx_InfVentasArticuloREFERENCIA = 8;
  idx_InfVentasArticuloREFERENCIA_PROV = 9;
  idx_InfVentasArticuloDESCRIPCION = 10;
  idx_InfVentasArticuloCOMISIONABLE = 11;
  idx_InfVentasArticuloINVENTARIABLE = 12;
  idx_InfVentasArticuloIMPORTE_UNIDAD_COSTE = 13;
  idx_InfVentasArticuloDESCUENTO_PROVEEDOR_COSTE = 14;
  idx_InfVentasArticuloIMPORTE_NETO_COSTE = 15;
  idx_InfVentasArticuloIMPORTE_PORTE_COSTE = 16;
  idx_InfVentasArticuloCANTIDAD = 17;
  idx_InfVentasArticuloIMPORTE_UNIDAD_VENTA = 18;
  idx_InfVentasArticuloDESCUENTO_CLIENTE_VENTA = 19;
  idx_InfVentasArticuloIMPORTE_NETO_VENTA = 20;
  idx_InfVentasArticuloIMPORTE_PORTE_VENTA = 21;
  idx_InfVentasArticuloIMPORTE_TOTAL_VENTA = 22;
  idx_InfVentasArticuloNIF_CIF_PROVEEDOR = 23;
  idx_InfVentasArticuloNOMBRE_PROVEEDOR = 24;
  idx_InfVentasArticuloCALLE_PROVEEDOR = 25;
  idx_InfVentasArticuloPOBLACION_PROVEEDOR = 26;
  idx_InfVentasArticuloPROVINCIA_PROVEEDOR = 27;
  idx_InfVentasArticuloNIF_CIF_CLIENTE = 28;
  idx_InfVentasArticuloNOMBRE_CLIENTE = 29;
  idx_InfVentasArticuloNOMBRE_COMERCIAL_CLIENTE = 30;
  idx_InfVentasArticuloCALLE_CLIENTE = 31;
  idx_InfVentasArticuloPOBLACION_CLIENTE = 32;
  idx_InfVentasArticuloPROVINCIA_CLIENTE = 33;
  idx_InfVentasArticuloNIF_CIF_AGENTE = 34;
  idx_InfVentasArticuloNOMBRE_AGENTE = 35;
  idx_InfVentasArticuloCALLE_AGENTE = 36;
  idx_InfVentasArticuloPOBLACION_AGENTE = 37;
  idx_InfVentasArticuloPROVINCIA_AGENTE = 38;
  idx_InfVentasArticuloCOMISION_AGENTE = 39;
  idx_InfVentasArticuloIMPORTE_COMISION_AGENTE = 40;

type
  { IInfVentasArticulo }
  IInfVentasArticulo = interface(IDAStronglyTypedDataTable)
  ['{91CC4592-F38D-477E-8271-C7D2E9747130}']
    { Property getters and setters }
    function GetID_FACTURAValue: Integer;
    procedure SetID_FACTURAValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetREFERENCIA_FACTURAValue: String;
    procedure SetREFERENCIA_FACTURAValue(const aValue: String);
    function GetFECHA_FACTURAValue: DateTime;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime);
    function GetIMPORTE_TOTAL_FACTURAValue: Currency;
    procedure SetIMPORTE_TOTAL_FACTURAValue(const aValue: Currency);
    function GetID_COMISION_FACTURAValue: Integer;
    procedure SetID_COMISION_FACTURAValue(const aValue: Integer);
    function GetID_ARTICULOValue: Integer;
    procedure SetID_ARTICULOValue(const aValue: Integer);
    function GetFAMILIAValue: String;
    procedure SetFAMILIAValue(const aValue: String);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetREFERENCIA_PROVValue: String;
    procedure SetREFERENCIA_PROVValue(const aValue: String);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetCOMISIONABLEValue: Integer;
    procedure SetCOMISIONABLEValue(const aValue: Integer);
    function GetINVENTARIABLEValue: Integer;
    procedure SetINVENTARIABLEValue(const aValue: Integer);
    function GetIMPORTE_UNIDAD_COSTEValue: Currency;
    procedure SetIMPORTE_UNIDAD_COSTEValue(const aValue: Currency);
    function GetDESCUENTO_PROVEEDOR_COSTEValue: Float;
    procedure SetDESCUENTO_PROVEEDOR_COSTEValue(const aValue: Float);
    function GetIMPORTE_NETO_COSTEValue: Currency;
    procedure SetIMPORTE_NETO_COSTEValue(const aValue: Currency);
    function GetIMPORTE_PORTE_COSTEValue: Currency;
    procedure SetIMPORTE_PORTE_COSTEValue(const aValue: Currency);
    function GetCANTIDADValue: Integer;
    procedure SetCANTIDADValue(const aValue: Integer);
    function GetIMPORTE_UNIDAD_VENTAValue: Currency;
    procedure SetIMPORTE_UNIDAD_VENTAValue(const aValue: Currency);
    function GetDESCUENTO_CLIENTE_VENTAValue: Float;
    procedure SetDESCUENTO_CLIENTE_VENTAValue(const aValue: Float);
    function GetIMPORTE_NETO_VENTAValue: Float;
    procedure SetIMPORTE_NETO_VENTAValue(const aValue: Float);
    function GetIMPORTE_PORTE_VENTAValue: Float;
    procedure SetIMPORTE_PORTE_VENTAValue(const aValue: Float);
    function GetIMPORTE_TOTAL_VENTAValue: Currency;
    procedure SetIMPORTE_TOTAL_VENTAValue(const aValue: Currency);
    function GetNIF_CIF_PROVEEDORValue: String;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String);
    function GetNOMBRE_PROVEEDORValue: String;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String);
    function GetCALLE_PROVEEDORValue: String;
    procedure SetCALLE_PROVEEDORValue(const aValue: String);
    function GetPOBLACION_PROVEEDORValue: String;
    procedure SetPOBLACION_PROVEEDORValue(const aValue: String);
    function GetPROVINCIA_PROVEEDORValue: String;
    procedure SetPROVINCIA_PROVEEDORValue(const aValue: String);
    function GetNIF_CIF_CLIENTEValue: String;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String);
    function GetNOMBRE_CLIENTEValue: String;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String);
    function GetNOMBRE_COMERCIAL_CLIENTEValue: String;
    procedure SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String);
    function GetCALLE_CLIENTEValue: String;
    procedure SetCALLE_CLIENTEValue(const aValue: String);
    function GetPOBLACION_CLIENTEValue: String;
    procedure SetPOBLACION_CLIENTEValue(const aValue: String);
    function GetPROVINCIA_CLIENTEValue: String;
    procedure SetPROVINCIA_CLIENTEValue(const aValue: String);
    function GetNIF_CIF_AGENTEValue: String;
    procedure SetNIF_CIF_AGENTEValue(const aValue: String);
    function GetNOMBRE_AGENTEValue: String;
    procedure SetNOMBRE_AGENTEValue(const aValue: String);
    function GetCALLE_AGENTEValue: String;
    procedure SetCALLE_AGENTEValue(const aValue: String);
    function GetPOBLACION_AGENTEValue: String;
    procedure SetPOBLACION_AGENTEValue(const aValue: String);
    function GetPROVINCIA_AGENTEValue: String;
    procedure SetPROVINCIA_AGENTEValue(const aValue: String);
    function GetCOMISION_AGENTEValue: Float;
    procedure SetCOMISION_AGENTEValue(const aValue: Float);
    function GetIMPORTE_COMISION_AGENTEValue: Currency;
    procedure SetIMPORTE_COMISION_AGENTEValue(const aValue: Currency);


    { Properties }
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA_FACTURA: String read GetREFERENCIA_FACTURAValue write SetREFERENCIA_FACTURAValue;
    property FECHA_FACTURA: DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property IMPORTE_TOTAL_FACTURA: Currency read GetIMPORTE_TOTAL_FACTURAValue write SetIMPORTE_TOTAL_FACTURAValue;
    property ID_COMISION_FACTURA: Integer read GetID_COMISION_FACTURAValue write SetID_COMISION_FACTURAValue;
    property ID_ARTICULO: Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property FAMILIA: String read GetFAMILIAValue write SetFAMILIAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIA_PROV: String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property COMISIONABLE: Integer read GetCOMISIONABLEValue write SetCOMISIONABLEValue;
    property INVENTARIABLE: Integer read GetINVENTARIABLEValue write SetINVENTARIABLEValue;
    property IMPORTE_UNIDAD_COSTE: Currency read GetIMPORTE_UNIDAD_COSTEValue write SetIMPORTE_UNIDAD_COSTEValue;
    property DESCUENTO_PROVEEDOR_COSTE: Float read GetDESCUENTO_PROVEEDOR_COSTEValue write SetDESCUENTO_PROVEEDOR_COSTEValue;
    property IMPORTE_NETO_COSTE: Currency read GetIMPORTE_NETO_COSTEValue write SetIMPORTE_NETO_COSTEValue;
    property IMPORTE_PORTE_COSTE: Currency read GetIMPORTE_PORTE_COSTEValue write SetIMPORTE_PORTE_COSTEValue;
    property CANTIDAD: Integer read GetCANTIDADValue write SetCANTIDADValue;
    property IMPORTE_UNIDAD_VENTA: Currency read GetIMPORTE_UNIDAD_VENTAValue write SetIMPORTE_UNIDAD_VENTAValue;
    property DESCUENTO_CLIENTE_VENTA: Float read GetDESCUENTO_CLIENTE_VENTAValue write SetDESCUENTO_CLIENTE_VENTAValue;
    property IMPORTE_NETO_VENTA: Float read GetIMPORTE_NETO_VENTAValue write SetIMPORTE_NETO_VENTAValue;
    property IMPORTE_PORTE_VENTA: Float read GetIMPORTE_PORTE_VENTAValue write SetIMPORTE_PORTE_VENTAValue;
    property IMPORTE_TOTAL_VENTA: Currency read GetIMPORTE_TOTAL_VENTAValue write SetIMPORTE_TOTAL_VENTAValue;
    property NIF_CIF_PROVEEDOR: String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property NOMBRE_PROVEEDOR: String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property CALLE_PROVEEDOR: String read GetCALLE_PROVEEDORValue write SetCALLE_PROVEEDORValue;
    property POBLACION_PROVEEDOR: String read GetPOBLACION_PROVEEDORValue write SetPOBLACION_PROVEEDORValue;
    property PROVINCIA_PROVEEDOR: String read GetPROVINCIA_PROVEEDORValue write SetPROVINCIA_PROVEEDORValue;
    property NIF_CIF_CLIENTE: String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property NOMBRE_CLIENTE: String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property NOMBRE_COMERCIAL_CLIENTE: String read GetNOMBRE_COMERCIAL_CLIENTEValue write SetNOMBRE_COMERCIAL_CLIENTEValue;
    property CALLE_CLIENTE: String read GetCALLE_CLIENTEValue write SetCALLE_CLIENTEValue;
    property POBLACION_CLIENTE: String read GetPOBLACION_CLIENTEValue write SetPOBLACION_CLIENTEValue;
    property PROVINCIA_CLIENTE: String read GetPROVINCIA_CLIENTEValue write SetPROVINCIA_CLIENTEValue;
    property NIF_CIF_AGENTE: String read GetNIF_CIF_AGENTEValue write SetNIF_CIF_AGENTEValue;
    property NOMBRE_AGENTE: String read GetNOMBRE_AGENTEValue write SetNOMBRE_AGENTEValue;
    property CALLE_AGENTE: String read GetCALLE_AGENTEValue write SetCALLE_AGENTEValue;
    property POBLACION_AGENTE: String read GetPOBLACION_AGENTEValue write SetPOBLACION_AGENTEValue;
    property PROVINCIA_AGENTE: String read GetPROVINCIA_AGENTEValue write SetPROVINCIA_AGENTEValue;
    property COMISION_AGENTE: Float read GetCOMISION_AGENTEValue write SetCOMISION_AGENTEValue;
    property IMPORTE_COMISION_AGENTE: Currency read GetIMPORTE_COMISION_AGENTEValue write SetIMPORTE_COMISION_AGENTEValue;
  end;

  { TInfVentasArticuloDataTableRules }
  TInfVentasArticuloDataTableRules = class(TDADataTableRules, IInfVentasArticulo)
  private
  protected
    { Property getters and setters }
    function GetID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIA_FACTURAValue: String; virtual;
    procedure SetREFERENCIA_FACTURAValue(const aValue: String); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTAL_FACTURAValue: Currency; virtual;
    procedure SetIMPORTE_TOTAL_FACTURAValue(const aValue: Currency); virtual;
    function GetID_COMISION_FACTURAValue: Integer; virtual;
    procedure SetID_COMISION_FACTURAValue(const aValue: Integer); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    function GetFAMILIAValue: String; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIA_PROVValue: String; virtual;
    procedure SetREFERENCIA_PROVValue(const aValue: String); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetCOMISIONABLEValue: Integer; virtual;
    procedure SetCOMISIONABLEValue(const aValue: Integer); virtual;
    function GetINVENTARIABLEValue: Integer; virtual;
    procedure SetINVENTARIABLEValue(const aValue: Integer); virtual;
    function GetIMPORTE_UNIDAD_COSTEValue: Currency; virtual;
    procedure SetIMPORTE_UNIDAD_COSTEValue(const aValue: Currency); virtual;
    function GetDESCUENTO_PROVEEDOR_COSTEValue: Float; virtual;
    procedure SetDESCUENTO_PROVEEDOR_COSTEValue(const aValue: Float); virtual;
    function GetIMPORTE_NETO_COSTEValue: Currency; virtual;
    procedure SetIMPORTE_NETO_COSTEValue(const aValue: Currency); virtual;
    function GetIMPORTE_PORTE_COSTEValue: Currency; virtual;
    procedure SetIMPORTE_PORTE_COSTEValue(const aValue: Currency); virtual;
    function GetCANTIDADValue: Integer; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    function GetIMPORTE_UNIDAD_VENTAValue: Currency; virtual;
    procedure SetIMPORTE_UNIDAD_VENTAValue(const aValue: Currency); virtual;
    function GetDESCUENTO_CLIENTE_VENTAValue: Float; virtual;
    procedure SetDESCUENTO_CLIENTE_VENTAValue(const aValue: Float); virtual;
    function GetIMPORTE_NETO_VENTAValue: Float; virtual;
    procedure SetIMPORTE_NETO_VENTAValue(const aValue: Float); virtual;
    function GetIMPORTE_PORTE_VENTAValue: Float; virtual;
    procedure SetIMPORTE_PORTE_VENTAValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTAL_VENTAValue: Currency; virtual;
    procedure SetIMPORTE_TOTAL_VENTAValue(const aValue: Currency); virtual;
    function GetNIF_CIF_PROVEEDORValue: String; virtual;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String); virtual;
    function GetNOMBRE_PROVEEDORValue: String; virtual;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String); virtual;
    function GetCALLE_PROVEEDORValue: String; virtual;
    procedure SetCALLE_PROVEEDORValue(const aValue: String); virtual;
    function GetPOBLACION_PROVEEDORValue: String; virtual;
    procedure SetPOBLACION_PROVEEDORValue(const aValue: String); virtual;
    function GetPROVINCIA_PROVEEDORValue: String; virtual;
    procedure SetPROVINCIA_PROVEEDORValue(const aValue: String); virtual;
    function GetNIF_CIF_CLIENTEValue: String; virtual;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String); virtual;
    function GetNOMBRE_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String); virtual;
    function GetNOMBRE_COMERCIAL_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String); virtual;
    function GetCALLE_CLIENTEValue: String; virtual;
    procedure SetCALLE_CLIENTEValue(const aValue: String); virtual;
    function GetPOBLACION_CLIENTEValue: String; virtual;
    procedure SetPOBLACION_CLIENTEValue(const aValue: String); virtual;
    function GetPROVINCIA_CLIENTEValue: String; virtual;
    procedure SetPROVINCIA_CLIENTEValue(const aValue: String); virtual;
    function GetNIF_CIF_AGENTEValue: String; virtual;
    procedure SetNIF_CIF_AGENTEValue(const aValue: String); virtual;
    function GetNOMBRE_AGENTEValue: String; virtual;
    procedure SetNOMBRE_AGENTEValue(const aValue: String); virtual;
    function GetCALLE_AGENTEValue: String; virtual;
    procedure SetCALLE_AGENTEValue(const aValue: String); virtual;
    function GetPOBLACION_AGENTEValue: String; virtual;
    procedure SetPOBLACION_AGENTEValue(const aValue: String); virtual;
    function GetPROVINCIA_AGENTEValue: String; virtual;
    procedure SetPROVINCIA_AGENTEValue(const aValue: String); virtual;
    function GetCOMISION_AGENTEValue: Float; virtual;
    procedure SetCOMISION_AGENTEValue(const aValue: Float); virtual;
    function GetIMPORTE_COMISION_AGENTEValue: Currency; virtual;
    procedure SetIMPORTE_COMISION_AGENTEValue(const aValue: Currency); virtual;

    { Properties }
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA_FACTURA: String read GetREFERENCIA_FACTURAValue write SetREFERENCIA_FACTURAValue;
    property FECHA_FACTURA: DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property IMPORTE_TOTAL_FACTURA: Currency read GetIMPORTE_TOTAL_FACTURAValue write SetIMPORTE_TOTAL_FACTURAValue;
    property ID_COMISION_FACTURA: Integer read GetID_COMISION_FACTURAValue write SetID_COMISION_FACTURAValue;
    property ID_ARTICULO: Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property FAMILIA: String read GetFAMILIAValue write SetFAMILIAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIA_PROV: String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property COMISIONABLE: Integer read GetCOMISIONABLEValue write SetCOMISIONABLEValue;
    property INVENTARIABLE: Integer read GetINVENTARIABLEValue write SetINVENTARIABLEValue;
    property IMPORTE_UNIDAD_COSTE: Currency read GetIMPORTE_UNIDAD_COSTEValue write SetIMPORTE_UNIDAD_COSTEValue;
    property DESCUENTO_PROVEEDOR_COSTE: Float read GetDESCUENTO_PROVEEDOR_COSTEValue write SetDESCUENTO_PROVEEDOR_COSTEValue;
    property IMPORTE_NETO_COSTE: Currency read GetIMPORTE_NETO_COSTEValue write SetIMPORTE_NETO_COSTEValue;
    property IMPORTE_PORTE_COSTE: Currency read GetIMPORTE_PORTE_COSTEValue write SetIMPORTE_PORTE_COSTEValue;
    property CANTIDAD: Integer read GetCANTIDADValue write SetCANTIDADValue;
    property IMPORTE_UNIDAD_VENTA: Currency read GetIMPORTE_UNIDAD_VENTAValue write SetIMPORTE_UNIDAD_VENTAValue;
    property DESCUENTO_CLIENTE_VENTA: Float read GetDESCUENTO_CLIENTE_VENTAValue write SetDESCUENTO_CLIENTE_VENTAValue;
    property IMPORTE_NETO_VENTA: Float read GetIMPORTE_NETO_VENTAValue write SetIMPORTE_NETO_VENTAValue;
    property IMPORTE_PORTE_VENTA: Float read GetIMPORTE_PORTE_VENTAValue write SetIMPORTE_PORTE_VENTAValue;
    property IMPORTE_TOTAL_VENTA: Currency read GetIMPORTE_TOTAL_VENTAValue write SetIMPORTE_TOTAL_VENTAValue;
    property NIF_CIF_PROVEEDOR: String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property NOMBRE_PROVEEDOR: String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property CALLE_PROVEEDOR: String read GetCALLE_PROVEEDORValue write SetCALLE_PROVEEDORValue;
    property POBLACION_PROVEEDOR: String read GetPOBLACION_PROVEEDORValue write SetPOBLACION_PROVEEDORValue;
    property PROVINCIA_PROVEEDOR: String read GetPROVINCIA_PROVEEDORValue write SetPROVINCIA_PROVEEDORValue;
    property NIF_CIF_CLIENTE: String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property NOMBRE_CLIENTE: String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property NOMBRE_COMERCIAL_CLIENTE: String read GetNOMBRE_COMERCIAL_CLIENTEValue write SetNOMBRE_COMERCIAL_CLIENTEValue;
    property CALLE_CLIENTE: String read GetCALLE_CLIENTEValue write SetCALLE_CLIENTEValue;
    property POBLACION_CLIENTE: String read GetPOBLACION_CLIENTEValue write SetPOBLACION_CLIENTEValue;
    property PROVINCIA_CLIENTE: String read GetPROVINCIA_CLIENTEValue write SetPROVINCIA_CLIENTEValue;
    property NIF_CIF_AGENTE: String read GetNIF_CIF_AGENTEValue write SetNIF_CIF_AGENTEValue;
    property NOMBRE_AGENTE: String read GetNOMBRE_AGENTEValue write SetNOMBRE_AGENTEValue;
    property CALLE_AGENTE: String read GetCALLE_AGENTEValue write SetCALLE_AGENTEValue;
    property POBLACION_AGENTE: String read GetPOBLACION_AGENTEValue write SetPOBLACION_AGENTEValue;
    property PROVINCIA_AGENTE: String read GetPROVINCIA_AGENTEValue write SetPROVINCIA_AGENTEValue;
    property COMISION_AGENTE: Float read GetCOMISION_AGENTEValue write SetCOMISION_AGENTEValue;
    property IMPORTE_COMISION_AGENTE: Currency read GetIMPORTE_COMISION_AGENTEValue write SetIMPORTE_COMISION_AGENTEValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TInfVentasArticuloDataTableRules }
constructor TInfVentasArticuloDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TInfVentasArticuloDataTableRules.Destroy;
begin
  inherited;
end;

function TInfVentasArticuloDataTableRules.GetID_FACTURAValue: Integer;
begin
  result := DataTable.Fields[idx_InfVentasArticuloID_FACTURA].AsInteger;
end;

procedure TInfVentasArticuloDataTableRules.SetID_FACTURAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfVentasArticuloID_FACTURA].AsInteger := aValue;
end;

function TInfVentasArticuloDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_InfVentasArticuloID_EMPRESA].AsInteger;
end;

procedure TInfVentasArticuloDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfVentasArticuloID_EMPRESA].AsInteger := aValue;
end;

function TInfVentasArticuloDataTableRules.GetREFERENCIA_FACTURAValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloREFERENCIA_FACTURA].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetREFERENCIA_FACTURAValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloREFERENCIA_FACTURA].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := DataTable.Fields[idx_InfVentasArticuloFECHA_FACTURA].AsDateTime;
end;

procedure TInfVentasArticuloDataTableRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_InfVentasArticuloFECHA_FACTURA].AsDateTime := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_TOTAL_FACTURAValue: Currency;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_TOTAL_FACTURA].AsCurrency;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_TOTAL_FACTURAValue(const aValue: Currency);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_TOTAL_FACTURA].AsCurrency := aValue;
end;

function TInfVentasArticuloDataTableRules.GetID_COMISION_FACTURAValue: Integer;
begin
  result := DataTable.Fields[idx_InfVentasArticuloID_COMISION_FACTURA].AsInteger;
end;

procedure TInfVentasArticuloDataTableRules.SetID_COMISION_FACTURAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfVentasArticuloID_COMISION_FACTURA].AsInteger := aValue;
end;

function TInfVentasArticuloDataTableRules.GetID_ARTICULOValue: Integer;
begin
  result := DataTable.Fields[idx_InfVentasArticuloID_ARTICULO].AsInteger;
end;

procedure TInfVentasArticuloDataTableRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfVentasArticuloID_ARTICULO].AsInteger := aValue;
end;

function TInfVentasArticuloDataTableRules.GetFAMILIAValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloFAMILIA].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetFAMILIAValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloFAMILIA].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloREFERENCIA].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloREFERENCIA].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetREFERENCIA_PROVValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloREFERENCIA_PROV].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetREFERENCIA_PROVValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloREFERENCIA_PROV].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloDESCRIPCION].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloDESCRIPCION].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetCOMISIONABLEValue: Integer;
begin
  result := DataTable.Fields[idx_InfVentasArticuloCOMISIONABLE].AsInteger;
end;

procedure TInfVentasArticuloDataTableRules.SetCOMISIONABLEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfVentasArticuloCOMISIONABLE].AsInteger := aValue;
end;

function TInfVentasArticuloDataTableRules.GetINVENTARIABLEValue: Integer;
begin
  result := DataTable.Fields[idx_InfVentasArticuloINVENTARIABLE].AsInteger;
end;

procedure TInfVentasArticuloDataTableRules.SetINVENTARIABLEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfVentasArticuloINVENTARIABLE].AsInteger := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_UNIDAD_COSTEValue: Currency;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_UNIDAD_COSTE].AsCurrency;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_UNIDAD_COSTEValue(const aValue: Currency);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_UNIDAD_COSTE].AsCurrency := aValue;
end;

function TInfVentasArticuloDataTableRules.GetDESCUENTO_PROVEEDOR_COSTEValue: Float;
begin
  result := DataTable.Fields[idx_InfVentasArticuloDESCUENTO_PROVEEDOR_COSTE].AsFloat;
end;

procedure TInfVentasArticuloDataTableRules.SetDESCUENTO_PROVEEDOR_COSTEValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfVentasArticuloDESCUENTO_PROVEEDOR_COSTE].AsFloat := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_NETO_COSTEValue: Currency;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_NETO_COSTE].AsCurrency;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_NETO_COSTEValue(const aValue: Currency);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_NETO_COSTE].AsCurrency := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_PORTE_COSTEValue: Currency;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_PORTE_COSTE].AsCurrency;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_PORTE_COSTEValue(const aValue: Currency);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_PORTE_COSTE].AsCurrency := aValue;
end;

function TInfVentasArticuloDataTableRules.GetCANTIDADValue: Integer;
begin
  result := DataTable.Fields[idx_InfVentasArticuloCANTIDAD].AsInteger;
end;

procedure TInfVentasArticuloDataTableRules.SetCANTIDADValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfVentasArticuloCANTIDAD].AsInteger := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_UNIDAD_VENTAValue: Currency;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_UNIDAD_VENTA].AsCurrency;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_UNIDAD_VENTAValue(const aValue: Currency);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_UNIDAD_VENTA].AsCurrency := aValue;
end;

function TInfVentasArticuloDataTableRules.GetDESCUENTO_CLIENTE_VENTAValue: Float;
begin
  result := DataTable.Fields[idx_InfVentasArticuloDESCUENTO_CLIENTE_VENTA].AsFloat;
end;

procedure TInfVentasArticuloDataTableRules.SetDESCUENTO_CLIENTE_VENTAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfVentasArticuloDESCUENTO_CLIENTE_VENTA].AsFloat := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_NETO_VENTAValue: Float;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_NETO_VENTA].AsFloat;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_NETO_VENTAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_NETO_VENTA].AsFloat := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_PORTE_VENTAValue: Float;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_PORTE_VENTA].AsFloat;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_PORTE_VENTAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_PORTE_VENTA].AsFloat := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_TOTAL_VENTAValue: Currency;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_TOTAL_VENTA].AsCurrency;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_TOTAL_VENTAValue(const aValue: Currency);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_TOTAL_VENTA].AsCurrency := aValue;
end;

function TInfVentasArticuloDataTableRules.GetNIF_CIF_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloNIF_CIF_PROVEEDOR].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetNIF_CIF_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloNIF_CIF_PROVEEDOR].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetNOMBRE_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloNOMBRE_PROVEEDOR].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetNOMBRE_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloNOMBRE_PROVEEDOR].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetCALLE_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloCALLE_PROVEEDOR].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetCALLE_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloCALLE_PROVEEDOR].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetPOBLACION_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloPOBLACION_PROVEEDOR].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetPOBLACION_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloPOBLACION_PROVEEDOR].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetPROVINCIA_PROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloPROVINCIA_PROVEEDOR].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetPROVINCIA_PROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloPROVINCIA_PROVEEDOR].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetNIF_CIF_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloNIF_CIF_CLIENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetNIF_CIF_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloNIF_CIF_CLIENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetNOMBRE_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloNOMBRE_CLIENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetNOMBRE_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloNOMBRE_CLIENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetNOMBRE_COMERCIAL_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloNOMBRE_COMERCIAL_CLIENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloNOMBRE_COMERCIAL_CLIENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetCALLE_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloCALLE_CLIENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetCALLE_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloCALLE_CLIENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetPOBLACION_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloPOBLACION_CLIENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetPOBLACION_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloPOBLACION_CLIENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetPROVINCIA_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloPROVINCIA_CLIENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetPROVINCIA_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloPROVINCIA_CLIENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetNIF_CIF_AGENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloNIF_CIF_AGENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetNIF_CIF_AGENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloNIF_CIF_AGENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetNOMBRE_AGENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloNOMBRE_AGENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetNOMBRE_AGENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloNOMBRE_AGENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetCALLE_AGENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloCALLE_AGENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetCALLE_AGENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloCALLE_AGENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetPOBLACION_AGENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloPOBLACION_AGENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetPOBLACION_AGENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloPOBLACION_AGENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetPROVINCIA_AGENTEValue: String;
begin
  result := DataTable.Fields[idx_InfVentasArticuloPROVINCIA_AGENTE].AsString;
end;

procedure TInfVentasArticuloDataTableRules.SetPROVINCIA_AGENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfVentasArticuloPROVINCIA_AGENTE].AsString := aValue;
end;

function TInfVentasArticuloDataTableRules.GetCOMISION_AGENTEValue: Float;
begin
  result := DataTable.Fields[idx_InfVentasArticuloCOMISION_AGENTE].AsFloat;
end;

procedure TInfVentasArticuloDataTableRules.SetCOMISION_AGENTEValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfVentasArticuloCOMISION_AGENTE].AsFloat := aValue;
end;

function TInfVentasArticuloDataTableRules.GetIMPORTE_COMISION_AGENTEValue: Currency;
begin
  result := DataTable.Fields[idx_InfVentasArticuloIMPORTE_COMISION_AGENTE].AsCurrency;
end;

procedure TInfVentasArticuloDataTableRules.SetIMPORTE_COMISION_AGENTEValue(const aValue: Currency);
begin
  DataTable.Fields[idx_InfVentasArticuloIMPORTE_COMISION_AGENTE].AsCurrency := aValue;
end;


initialization
  RegisterDataTableRules(RID_InfVentasArticulo, TInfVentasArticuloDataTableRules);

end.
